summaryrefslogtreecommitdiff
path: root/docs/builder/rtems-docs-publish
diff options
context:
space:
mode:
Diffstat (limited to 'docs/builder/rtems-docs-publish')
-rwxr-xr-xdocs/builder/rtems-docs-publish41
1 files changed, 41 insertions, 0 deletions
diff --git a/docs/builder/rtems-docs-publish b/docs/builder/rtems-docs-publish
new file mode 100755
index 0000000..d8a5f30
--- /dev/null
+++ b/docs/builder/rtems-docs-publish
@@ -0,0 +1,41 @@
+#! /bin/sh
+#
+# RTEMS Documentation Project
+#
+# Copyright 2017 Chris Johns <chrisj@rtems.org>
+# All rights reserved
+#
+# Public domain
+#
+
+#
+# Exit on error.
+#
+set -e
+
+#
+# Executables
+#
+cp=/bin/cp
+rm=/bin/rm
+
+#
+# The current directory.
+#
+current=/data/www/docs.rtems.org/branches
+
+#
+# The new docs
+#
+new=/usr/home/chrisj/docs/latest/new
+
+#
+# If there is a new directory we have something to publsh.
+#
+if [ -d ${new} ]; then
+ ${rm} -rf ${current}.tags ${current}/*
+ ${cp} -r ${new}/.tags ${new}/* ${current}/.
+ ${rm} -rf ${new}
+fi
+
+exit 0